commit:     3fbb1c21dece9c0fa9ab2d1f78c2a3e548641ae2
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 03:46:07 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 04:54:20 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3fbb1c21

dev-python/Nuitka: Bump to 2.4.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/Nuitka/Manifest             |  1 +
 dev-python/Nuitka/Nuitka-2.4.10.ebuild | 54 ++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index ab1bb7aca2ca..63f617cfa17c 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -1 +1,2 @@
+DIST Nuitka-2.4.10.tar.gz 3721360 BLAKE2B 
0ae2cc7b620e6850d4593ef49b8e513ab1191f66e437c19e85b488aeb7925dd15ef24a7f5d75eee827a1703021c8a7cc9254f37cfc6c62c540a1223b410d18b8
 SHA512 
fd311511252f9644abe0dd36d769872fcb429e02aa74c7365836b44fb5af978cf021b9c9851e338023847aec7219b7a709bbf20f9d9c9922072ac0994c8c7520
 DIST Nuitka-2.4.8.tar.gz 3720021 BLAKE2B 
f3e89107e25baf0490e8dccba9c5e3e167fbdba395d21c8f9666a4f3e094c72fc295a7c57536deabaeb04dc0cb6682dcdf675f1305d5974e49e989c643aa6769
 SHA512 
da36c84e295f313c76d955498c8d4b46a57c162366dc9374188ae4bf236ad27df8a034c7942f089e1f4e196f44de27ab9d8dedeae991d9c29a51e86018eadb6f

diff --git a/dev-python/Nuitka/Nuitka-2.4.10.ebuild 
b/dev-python/Nuitka/Nuitka-2.4.10.ebuild
new file mode 100644
index 000000000000..98d5f5591788
--- /dev/null
+++ b/dev-python/Nuitka/Nuitka-2.4.10.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+       https://nuitka.net/
+       https://github.com/Nuitka/Nuitka/
+       https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-build/scons[${PYTHON_USEDEP}]
+       >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+       >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+       test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+       # remove vendored version of SCons that is Python2 only
+       # this should be removed when upstream removes support for Python2
+       rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+       eapply_user
+}
+
+python_install() {
+       distutils-r1_python_install
+       doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+       append-ldflags -Wl,--no-warn-search-mismatch
+       ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+       optfeature "support for stand-alone executables" dev-util/patchelf
+}

Reply via email to